Package be.ehealth.business.common.domain

# Class Patient

java.lang.Object
be.ehealth.business.common.domain.Patient

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `Patient`

public class Patient extends Object implements Serializable
common domain object for all connectors containing patient information. Warning : the patient object should not be modified after it has been initialized if you use it in a hashmap or sorted collection!

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Patient.Builder`
  Patient builder static class

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Patient()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getEidCardNumber()`
  `String`
  `getFirstName()`
  `String`
  `getInss()`
  `String`
  `getIsiCardNumber()`
  `String`
  `getLastName()`
  `String`
  `getMiddleName()`
  `String`
  `getMutuality()`
  `String`
  `getRegNrWithMut()`
  `String`
  `getSisCardNumber()`
  `int`
  `hashCode()`
  `void`
  `setEidCardNumber(String eidCardNumber)`
  `void`
  `setFirstName(String firstName)`
  `void`
  `setInss(String inss)`
  `void`
  `setIsiCardNumber(String isiCardNumber)`
  `void`
  `setLastName(String lastName)`
  `void`
  `setMiddleName(String middleName)`
  `void`
  `setMutuality(String mutuality)`
  `void`
  `setRegNrWithMut(String regNrWithMut)`
  `void`
  `setSisCardNumber(String sisCardNumber)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Patient

    public Patient()

- ## Method Details

  - ### getInss

    public String getInss()
    Returns:
      the inss

  - ### setInss

    public void setInss(String inss)
    Parameters:
      `inss` - the inss to set

  - ### getRegNrWithMut

    public String getRegNrWithMut()
    Returns:
      the regNrWithMut

  - ### setRegNrWithMut

    public void setRegNrWithMut(String regNrWithMut)
    Parameters:
      `regNrWithMut` - the regNrWithMut to set

  - ### getMutuality

    public String getMutuality()
    Returns:
      the mutuality

  - ### setMutuality

    public void setMutuality(String mutuality)
    Parameters:
      `mutuality` - the mutuality to set

  - ### getFirstName

    public String getFirstName()
    Returns:
      the firstName

  - ### setFirstName

    public void setFirstName(String firstName)
    Parameters:
      `firstName` - the firstName to set

  - ### getLastName

    public String getLastName()
    Returns:
      the lastName

  - ### setLastName

    public void setLastName(String lastName)
    Parameters:
      `lastName` - the lastName to set

  - ### getMiddleName

    public String getMiddleName()
    Returns:
      the middleName

  - ### setMiddleName

    public void setMiddleName(String middleName)
    Parameters:
      `middleName` - the middleName to set

  - ### getEidCardNumber

    public String getEidCardNumber()
    Returns:
      the eidCardNumber

  - ### setEidCardNumber

    public void setEidCardNumber(String eidCardNumber)
    Parameters:
      `eidCardNumber` - the eidCardNumber to set

  - ### getSisCardNumber

    public String getSisCardNumber()
    Returns:
      the sisCardNumber

  - ### setSisCardNumber

    public void setSisCardNumber(String sisCardNumber)
    Parameters:
      `sisCardNumber` - the sisCardNumber to set

  - ### getIsiCardNumber

    public String getIsiCardNumber()
    Returns:
      the isiCardNumber

  - ### setIsiCardNumber

    public void setIsiCardNumber(String isiCardNumber)
    Parameters:
      `isiCardNumber` - the isiCardNumber to set

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`
    See Also:
      - `Object.hashCode()`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`
    See Also:
      - `Object.equals(java.lang.Object)`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`
    See Also:
      - `Object.toString()`